import { ReactNode } from 'react';

export type Branch = {
    text: string;
    open?: boolean;
    dir?: boolean;
    icon?: ReactNode;
    onClick?: () => void;
    component?: (text: string) => ReactNode;
    branch?: Tree;
    color?: string;
    hoverColor?: string;
};
export type Tree = Branch[];
export type ReactTreeFolderProps = {
    tree: Tree;
    iconFolderOpen: ReactNode;
    iconFolder: ReactNode;
    iconFile?: ReactNode;
    color?: string;
    hoverColor?: string;
    borderColor?: string;
    containerClass?: string;
};
export declare function TreeStructure({ tree, iconFolderOpen, iconFolder, iconFile, color, hoverColor, borderColor, containerClass, }: ReactTreeFolderProps): import("react/jsx-runtime").JSX.Element;
